//
//  KKCellWithCheckbox.h
//  CellWithCheckbox
//
//  Created by Tasuku Maeda on 7/1/12.
//  Copyright (c) 2012 KinkumaDesign. All rights reserved.
//

#import <UIKit/UIKit.h>

@class KKCellWithCheckbox;

@protocol KKCellWithCheckboxDelegate<NSObject>
@optional
-(void)cell:(KKCellWithCheckbox *)cell checkboxTappedEvent:(UITouch *)touch;
@end

@interface KKCellWithCheckbox : UITableViewCell{
    UILabel *_cellNameLabel;
    UIButton *_checkboxButton;
    UIImage *_checkedImage;
    UIImage *_uncheckedImage;
    id<KKCellWithCheckboxDelegate> _delegate;
}
@property(nonatomic, assign) id <KKCellWithCheckboxDelegate> delegate;
- (void)setCellName:(NSString *)aCellName;
- (void)setCheckboxState:(BOOL)isCheck;
@end
